SDK for macOS Clients (Unified API) Usage Instructions
4.2.1 build 74
Compatible with Lightstreamer Server since 7.0.
Compatible with code developed with the previous version.
Released on 11 Dec 2019

This SDK includes the resources needed to develop an application for Mac that works as a client of Lightstreamer Server.

This client implements the Lightstreamer Unified Client API. The goal of the Unified API is to offer a common set of interfaces and functionalities across different languages and platforms.

This SDK is compatible with macOS 10.10 and newer.

The library supports compilations targeted to a device with 64 bit (Intel x86-64) architecture and compilations targeted to bitcode.

The library is available for import through CocoaPods or via direct traditional download.

Importing the Library via CocoaPods


To install CocoaPods, read its Getting Started guide. Then, follow these simple steps:

  • If you haven't created your podfile yet, do it by running pod init from a terminal positioned in your project's directory.
  • Edit your Podfile and add the following line:
    pod 'Lightstreamer_macOS_Client', '4.2.1'
  • Run
    pod install
    and CocoaPods will download, verify and integrate the requested client library in your project.
  • Close Xcode and reopen it with the workspace that CocoaPods just created in your project's directory.
  • Finally, add the following import line wherever you need the client library's services:
    #import <Lightstreamer_macOS_Client/Lightstreamer_macOS_Client.h>

Check the CocoaPods repository for any newer version.

Importing the Library Traditionally


If CocoaPods is not for you, you can still install the library more traditionally by following these steps:

  • Download the macOS client library's distribution from our website.
  • Unzip the library's distribution and copy the framework inside your project.
  • In your project's Build Phases page, please add the following libraries in the Link Binary With Libraries section:
    Lightstreamer_macOS_Client.framework SystemConfiguration.framework Security.framework libiconv
  • Finally, add the following import line wherever you need the client library's services:
    #import <Lightstreamer_macOS_Client/Lightstreamer_macOS_Client.h>

Check the download site for any newer version.